For the complete documentation index, see llms.txt. This page is also available as Markdown.

Filters

Atualizar filtros da Lista de Produtos do Novo Pedido

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
newOrderIdstringObrigatório

ID de novo pedido

Corpo
price_rangebooleanOpcional
best_sellersbooleanOpcional
ascending_orderbooleanOpcional
descending_orderbooleanOpcional
lowest_pricebooleanOpcional
highest_pricebooleanOpcional
discountsbooleanOpcional
favorite_sortingstring · enumOpcionalValores possíveis:
Respostas
200

OK

application/json
price_rangebooleanOpcional
best_sellersbooleanOpcional
ascending_orderbooleanOpcional
descending_orderbooleanOpcional
lowest_pricebooleanOpcional
highest_pricebooleanOpcional
discountsbooleanOpcional
favorite_sortingstring · enumOpcionalValores possíveis:
put/new-orders/{newOrderId}/product-list/filters
PUT /api/b2b/new-orders/{newOrderId}/product-list/filters HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 179

{
  "price_range": true,
  "best_sellers": true,
  "ascending_order": true,
  "descending_order": true,
  "lowest_price": true,
  "highest_price": true,
  "discounts": true,
  "favorite_sorting": "BEST_SELLERS"
}
{
  "price_range": true,
  "best_sellers": true,
  "ascending_order": true,
  "descending_order": true,
  "lowest_price": true,
  "highest_price": true,
  "discounts": true,
  "favorite_sorting": "BEST_SELLERS"
}